using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("安全风险评估附件表")]
    public class T_SK_RISK_EVALUATION_SUMMARY_FILE : MesEntityBase
    {
        /// <summary>
        /// 安全风险评估汇总表
        /// </summary>
        [Description("安全风险评估汇总表")]
        [DataFieldForeignKey("Nav_Evaluation", "Nav_Files")]
        public Guid RISK_EVALUATION_SUMMARY_ID { get; set; }

        /// <summary>
        /// 导航：安全风险评估汇总表
        /// </summary>
        [Description("导航：安全风险评估汇总表")]
        public virtual T_SK_RISK_EVALUATION_SUMMARY Nav_Evaluation { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
